import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { Ad_delivery_plan } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-14 12:51
 */
interface Ad_delivery_planCU extends ConditionUtil<Ad_delivery_planCU> {
    ID: FieldUtil<Ad_delivery_planCU>;
    NAME: FieldUtil<Ad_delivery_planCU>;
    DESCRIPTION: FieldUtil<Ad_delivery_planCU>;
    AD_INFO_ID: FieldUtil<Ad_delivery_planCU>;
    CHARGE_TYPE: FieldUtil<Ad_delivery_planCU>;
    PRICE: FieldUtil<Ad_delivery_planCU>;
    START_TIME: FieldUtil<Ad_delivery_planCU>;
    END_TIME: FieldUtil<Ad_delivery_planCU>;
    DISPALY_TIMES: FieldUtil<Ad_delivery_planCU>;
    DISPLAY_TIMES_PER_USER: FieldUtil<Ad_delivery_planCU>;
    STATUS: FieldUtil<Ad_delivery_planCU>;
    CREATE_TIME: FieldUtil<Ad_delivery_planCU>;
    CREATOR: FieldUtil<Ad_delivery_planCU>;
    UPDATE_TIME: FieldUtil<Ad_delivery_planCU>;
    UPDATOR: FieldUtil<Ad_delivery_planCU>;
}
declare class Ad_delivery_planMU extends TableUtilImpl<Ad_delivery_planCU, Ad_delivery_plan> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): Ad_delivery_planCU;
    static get ID(): FieldUtil<Ad_delivery_planCU>;
    static get NAME(): FieldUtil<Ad_delivery_planCU>;
    static get DESCRIPTION(): FieldUtil<Ad_delivery_planCU>;
    static get AD_INFO_ID(): FieldUtil<Ad_delivery_planCU>;
    static get CHARGE_TYPE(): FieldUtil<Ad_delivery_planCU>;
    static get PRICE(): FieldUtil<Ad_delivery_planCU>;
    static get START_TIME(): FieldUtil<Ad_delivery_planCU>;
    static get END_TIME(): FieldUtil<Ad_delivery_planCU>;
    static get DISPALY_TIMES(): FieldUtil<Ad_delivery_planCU>;
    static get DISPLAY_TIMES_PER_USER(): FieldUtil<Ad_delivery_planCU>;
    static get STATUS(): FieldUtil<Ad_delivery_planCU>;
    static get CREATE_TIME(): FieldUtil<Ad_delivery_planCU>;
    static get CREATOR(): FieldUtil<Ad_delivery_planCU>;
    static get UPDATE_TIME(): FieldUtil<Ad_delivery_planCU>;
    static get UPDATOR(): FieldUtil<Ad_delivery_planCU>;
    get ID(): FieldUtil<Ad_delivery_planCU>;
    get NAME(): FieldUtil<Ad_delivery_planCU>;
    get DESCRIPTION(): FieldUtil<Ad_delivery_planCU>;
    get AD_INFO_ID(): FieldUtil<Ad_delivery_planCU>;
    get CHARGE_TYPE(): FieldUtil<Ad_delivery_planCU>;
    get PRICE(): FieldUtil<Ad_delivery_planCU>;
    get START_TIME(): FieldUtil<Ad_delivery_planCU>;
    get END_TIME(): FieldUtil<Ad_delivery_planCU>;
    get DISPALY_TIMES(): FieldUtil<Ad_delivery_planCU>;
    get DISPLAY_TIMES_PER_USER(): FieldUtil<Ad_delivery_planCU>;
    get STATUS(): FieldUtil<Ad_delivery_planCU>;
    get CREATE_TIME(): FieldUtil<Ad_delivery_planCU>;
    get CREATOR(): FieldUtil<Ad_delivery_planCU>;
    get UPDATE_TIME(): FieldUtil<Ad_delivery_planCU>;
    get UPDATOR(): FieldUtil<Ad_delivery_planCU>;
}
export { Ad_delivery_planMU, Ad_delivery_planCU };
